<?php 
	global $product;


	do_action( 'woocommerce_before_shop_loop_item' ); 
?>
<div class="product-wrapper">
	<div class="product-element-top wd-quick-shop">
		<a href="<?php echo esc_url( get_permalink() ); ?>" class="product-image-link">
			<?php
			/**
			 * Hook woocommerce_before_shop_loop_item_title.
			 *
			 * @hooked cheshalo_template_loop_product_thumbnails_gallery - 5
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked cheshalo_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
			?>
		</a>

		<?php
		if ( 'no' === cheshalo_loop_prop( 'grid_gallery' ) || ! cheshalo_loop_prop( 'grid_gallery' ) ) {
			cheshalo_hover_image();
		}
		?>
	</div>

	<div class="top-information wd-fill">

		<?php
			/**
			 * woocommerce_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_product_title - 10
			 */
			do_action( 'woocommerce_shop_loop_item_title' );
		?>
		<?php
			cheshalo_product_categories();
			cheshalo_product_brands_links();
			cheshalo_product_sku();
			cheshalo_stock_status_after_title();
		?>

		<?php 
			echo cheshalo_swatches_list();
		?>
		<?php echo wp_kses_post( cheshalo_get_product_rating() ); ?>
		<?php
			/**
			 * woocommerce_after_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_rating - 5
			 * @hooked woocommerce_template_loop_price - 10
			 */
			do_action( 'woocommerce_after_shop_loop_item_title' );
		?>

		<div class="wd-add-btn wd-add-btn-replace<?php echo cheshalo_get_old_classes( ' cheshalo-add-btn' ); ?>">
			<?php do_action( 'cheshalo_add_loop_btn' ); ?>
			<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
		</div>
	</div>

	<div class="wd-buttons wd-pos-r-t color-scheme-light<?php echo cheshalo_get_old_classes( ' cheshalo-buttons' ); ?>">
		<?php cheshalo_enqueue_js_script( 'btns-tooltip' ); ?>
		<?php cheshalo_add_to_compare_loop_btn(); ?>
		<?php cheshalo_quick_view_btn( get_the_ID() ); ?>
		<?php do_action( 'cheshalo_product_action_buttons' ); ?>
	</div>

</div>

<?php if ( cheshalo_loop_prop( 'progress_bar' ) ): ?>
	<?php cheshalo_stock_progress_bar(); ?>
<?php endif ?>

<?php if ( cheshalo_loop_prop( 'timer' ) ): ?>
	<?php cheshalo_product_sale_countdown(); ?>
<?php endif ?>
