<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}
use XTS\Options;

/**
 * Custom CSS section.
 */
Options::add_field(
	array(
		'id'       => 'custom_css',
		'name'     => esc_html__('Global custom CSS', 'cheshalo' ),
		'type'     => 'editor',
		'language' => 'css',
		'section'  => 'custom_css',
		'priority' => 10,
	)
);

Options::add_field(
	array(
		'id'       => 'css_desktop',
		'name'     =>  esc_html__('Custom CSS for desktop', 'cheshalo'),
		'type'     => 'editor',
		'language' => 'css',
		'section'  => 'custom_css',
		'priority' => 20,

	)
);

Options::add_field(
	array(
		'id'       => 'css_tablet',
		'name'     => esc_html__('Custom CSS for tablet', 'cheshalo'),
		'type'     => 'editor',
		'language' => 'css',
		'section'  => 'custom_css',
		'priority' => 30,

	)
);

Options::add_field(
	array(
		'id'       => 'css_wide_mobile',
		'name'     => esc_html__('Custom CSS for mobile landscape', 'cheshalo'),
		'type'     => 'editor',
		'language' => 'css',
		'section'  => 'custom_css',
		'priority' => 40,

	)
);

Options::add_field(
	array(
		'id'       => 'css_mobile',
		'name'     => esc_html__('Custom CSS for mobile', 'cheshalo'),
		'type'     => 'editor',
		'language' => 'css',
		'section'  => 'custom_css',
		'priority' => 50,

	)
);

Options::add_field(
	array(
		'id'       => 'css_backend',
		'name'     => esc_html__( 'Custom CSS for admin dashboard', 'cheshalo' ),
		'type'     => 'editor',
		'language' => 'css',
		'section'  => 'custom_css',
		'priority' => 60,
	)
);
