<?php
/**
 * Imagify.
 *
 * @package Cheshalo
 */

if ( ! defined( 'IMAGIFY_VERSION' ) ) {
	return;
}

if ( ! function_exists( 'cheshalo_single_product_gallery_images_webp' ) ) {
	/**
	 * Single product change class with webp.
	 *
	 * @param string $class CSS Class.
	 *
	 * @return string
	 */
	function cheshalo_single_product_gallery_images_webp( $class ) {
		$class .= ' imagify-no-webp';

		return $class;
	}

	add_filter( 'cheshalo_single_product_gallery_image_class', 'cheshalo_single_product_gallery_images_webp' );
}
